View Issue Details

IDProjectCategoryView StatusLast Update
0001323NoesisGUIC# SDKpublic2018-11-30 11:42
ReporterJasonL663Assigned Tosfernandez 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target Version2.2.0Fixed in Version2.2.0b5 
Summary0001323: Binding Context Becomes Unavailable Inside Nested Scopes
DescriptionAny object not inheriting from FrameworkElement loses access to the entire binding
context when inside a nested scope.
Steps To Reproduce1. Open the attached repro project in Visual Studio
2. Build the project and observe the "Binding Succeeded" message confirming the
binding working for WPF
3. Open the project properties and add NOESIS to the conditional compilation symbols
4. Set the Build Action for App.xaml and MainWindow.xaml to 'None'
5. Build the project again and observe the exception indicating that the 'TestMsg' resource could not be found

6. Change the TestComponent class's base class from UIElement to
FrameworkElement
7. Build the project again and observe that the "Binding Succeeded" message
indicating that the binding is working properly again
TagsNo tags attached.
PlatformAny

Activities

admin

admin

2018-10-30 12:32

administrator   ~0005260

Our hosting company corrupted our database without a backup. We are manually reconstructing all the issues.
I know this sounds embarrassing but could you please upload 'BindingRepro.zip' again?
JasonL663

JasonL663

2018-11-25 22:41

reporter  

BindingRepro.zip (3,821,946 bytes)
JasonL663

JasonL663

2018-11-25 22:41

reporter   ~0005345

Reuploaded bug repro
sfernandez

sfernandez

2018-11-26 19:25

manager   ~0005346

Thank you very much.

Issue History

Date Modified Username Field Change
2018-10-30 12:27 admin New Issue
2018-10-30 12:27 admin Reporter admin => JasonL663
2018-10-30 12:32 admin Note Added: 0005260
2018-11-01 02:14 jsantos View Status public => private
2018-11-22 09:53 sfernandez Assigned To => sfernandez
2018-11-22 09:53 sfernandez Status new => feedback
2018-11-22 09:53 sfernandez Target Version => 2.2.0
2018-11-22 09:53 sfernandez View Status private => public
2018-11-22 09:53 sfernandez Description Updated View Revisions
2018-11-22 09:53 sfernandez Platform => Any
2018-11-25 22:40 JasonL663 Summary Binding Context Becomes Unavailable Inside Nested => Binding Context Becomes Unavailable Inside Nested Scopes
2018-11-25 22:40 JasonL663 Steps to Reproduce Updated View Revisions
2018-11-25 22:41 JasonL663 File Added: BindingRepro.zip
2018-11-25 22:41 JasonL663 Note Added: 0005345
2018-11-25 22:41 JasonL663 Status feedback => assigned
2018-11-26 19:25 sfernandez Note Added: 0005346
2018-11-30 11:42 sfernandez Status assigned => resolved
2018-11-30 11:42 sfernandez Resolution open => fixed
2018-11-30 11:42 sfernandez Fixed in Version => 2.2.0b5